%global optflags -mtune=generic
%global destdir /opt/rh/gcc/%{version}
%undefine _missing_build_ids_terminate_build
%global modulesdestination /opt/share/Modules/modulefiles/gcc

Name:		gcc485
Version:	4.8.5
Release:	1%{?dist}
Summary:	gcc %{version}

Group:		Development/Languages
License:	GPLv3+ and GPLv3+ with exceptions and GPLv2+ with exceptions and LGPLv2+ and BSD
URL:		http://gcc.gnu.org
Source0:	https://ftp.gnu.org/gnu/gcc/gcc-4.8.5/gcc-%{version}.tar.bz2
Patch1:		gcc485.fixes
Requires:	environment-modules-local
BuildRequires:	gcc gcc-c++ glibc-devel glibc-devel(x86-32) libstdc++-static
BuildRequires:	gmp-devel mpfr-devel libmpc-devel
BuildRequires:	bison flex byacc m4 valgrind-devel

%description
The gcc package contains the GNU Compiler Collection version 4.8.5

%package devel
Summary:	gcc %{version} devel
Group:		Development/Languages
Requires:	%{name} = %{version}-%{release}

%description devel
Files required for development with GNU Compiler Collection version 4.8.5.

%prep
%setup -q -c %{name}-%{version}
cd gcc-%{version}
%patch1 -p1

%build
mkdir build
cd build
$PWD/../gcc-%{version}/configure --enable-languages=c,c++,fortran --prefix=%{destdir} --enable-shared --enable-plugin 
make -j16

%install
cd build
%make_install
find %{buildroot} -name \*.la -type f -delete
find %{buildroot}%{destdir}/share/man -type f -exec gzip {} \;

mkdir -p %{buildroot}%{modulesdestination}
cat > %{buildroot}%{modulesdestination}/%{version} <<ENDMODULE
#%Module1.0#####################################################################
##
## Module for gcc %{version}
##
proc ModulesHelp { } {
	global version
	puts stderr "\tThis module sets paths for GCC %{version}"
}

module-whatis   "Loads settings for GCC %{version}"
prepend-path	PATH		%{destdir}/bin
prepend-path    LD_LIBRARY_PATH	%{destdir}/lib:%{destdir}/lib64
prepend-path	MANPATH		%{destdir}/share/man
ENDMODULE

%files
%doc
%dir %{destdir}
%dir %{destdir}/bin
%dir %{destdir}/include
%dir %{destdir}/lib
%dir %{destdir}/lib64
%dir %{destdir}/libexec
%dir %{destdir}/share
%dir %{destdir}/share/man
%dir %{modulesdestination}
%{destdir}/lib/lib*.so.*
%{destdir}/lib64/lib*.so.*
%{destdir}/share/gcc*
%{modulesdestination}/%{version}

%files devel
%{destdir}/bin/*
%{destdir}/include/*
%{destdir}/lib/lib*.a
%{destdir}/lib/lib*.o
%{destdir}/lib/lib*.so
%{destdir}/lib64/lib*.a
%{destdir}/lib64/lib*.o
%{destdir}/lib64/lib*.so
%{destdir}/lib/gcc
%{destdir}/lib*/*spec
%{destdir}/libexec/gcc
%{destdir}/share/info
%{destdir}/share/locale
%{destdir}/share/man/*

%changelog

